<?php
include_once realpath("../library/AI_Permit.php");
include_once realpath("../library/AI_Register.php");
include_once realpath("../library/AI_Board.php");
include_once realpath("../library/AI_Utility.php");
include_once realpath("../library/Template_.class.php");

//  Ȯ
$admin = new AI_Permit();
if (!$admin->checkPermit()){
	print "<script>location.href=\"index.php\"</script>";
	exit();
}

$util = new AI_Utility();
$util->timerStart("total");
$util->timerStart("exec");

//   
// regist(, ⺻)
$reg = new AI_Register();
$reg->regist("id","Admin");
$reg->regist("pri","seq");
$reg->regist("page","1");
$reg->regist("search","");
$reg->regist("op","or");
$reg->regist("si","yes");

// board 
$board = new AI_Board($reg->id, $reg->id, $reg->pri, $reg->page);
$board->configBoard(15,10);
$board->configSearch($reg->search,$reg->op);
$board->setSearchItem("si", $reg->si, "id");

// Ʈ 
$field = array("seq","id");
$list = $board->makeList($field);
$startList = $board->getStartList();

// ø 
$tpl = new Template_("../tpl", "../tpc"); 
$tpl->define(array( 
    "top" =>"admin/admin_top.html", 
	"body"=>"admin/admin_list.html",
));
$tpl->assign(array( 
    "order" 	=>$board->pageOrder(),
	"throwGet"  	=>$board->throwGet(),
	"throwSearch" =>$board->throwSearch(),
	"self"		=>$PHP_SELF,
	"search"	=>$reg->search,
));

$tpl->loopLoad("article");
for($i=0;$i<count($list);$i++){
	$article = $list[$i];
	$tpl->loopPushAssign(array( 
		"num"	=>$startList,
        "seq"	=>$article->seq,
		"id"  	=>$article->id,
    ));
	$startList--;
}
$util->timerStop("exec");

$util->timerStart("print");
// output
$tpl->print_("top");
$tpl->print_("body");
$util->timerStop("print");

$util->timerStop("total");
$util->allTimed();
?>