<?php
include_once realpath("../library/AI_Permit.php");
include_once realpath("../library/AI_Register.php");
include_once realpath("../library/AI_Board.php");
include_once realpath("../library/AI_Utility.php");
include_once realpath("../library/Template_.class.php");

$admin = new AI_Permit();
if (!$admin->checkPermit()){
	print "<script>location.href=\"index.php\"</script>";
	exit();
}

//   
// regist(, ⺻)
$reg = new AI_Register();
$reg->regist("id","Free");
$reg->regist("pri","seq");
$reg->regist("page","1");
$reg->regist("search","");
$reg->regist("op","or");
$reg->regist("sn","no");
$reg->regist("ss","yes");
$reg->regist("sc","yes");

// board 
$board = new AI_Board($reg->id, "Br_".$reg->id, $reg->pri, $reg->page);
$board->configBoard(15,10);
$board->configSearch($reg->search,$reg->op);
$board->setSearchItem("sn", $reg->sn, "name");
$board->setSearchItem("ss", $reg->ss, "subject");
$board->setSearchItem("sc", $reg->sc, "contents");

// Ʈ 
$field = array("seq","name", 'email', 'subject', 'contents', 'date', 'hit', 'total_memo');
$list = $board->makeList($field);
$startList = $board->getStartList();

// ø 
$tpl = new Template_("../tpl", "../tpc"); 
$tpl->define(array( 
    "top" =>"admin/board_top.html", 
	"body"=>"admin/board_list.html",
));

$sn = ($reg->sn=="yes") ? "checked" : "";
$ss = ($reg->ss=="yes") ? "checked" : "";
$sc = ($reg->sc=="yes") ? "checked" : "";

$tpl->assign(array( 
    "order" 		=>$board->pageOrder(),
	"throwGet"  	=>$board->throwGet(),
	"throwSearch"	=>$board->throwSearch(),
	"self"			=>$PHP_SELF,
	"search"		=>$reg->search,
	"sn"			=>$sn,
	"ss"			=>$ss,
	"sc"			=>$sc,
));

$tpl->loopLoad("article");
for($i=0;$i<count($list);$i++){
	$article = $list[$i];
	$tpl->loopPushAssign(array( 
		"num"		=>$startList,
        "seq"		=>$article->seq,
		"name" 		=>$article->name,
		"email" 	=>$article->email,
		"subject"  	=>$article->subject,
		"date"		=>date("Y/m/j", $article->date),
		"hit"		=>$article->hit,
		"memo"		=>$article->total_memo,
    ));
	$startList--;
}

$tpl->print_("top");
$tpl->print_("body");
?>