<?php
include_once realpath("../library/AI_Login.php");
include_once realpath("../library/AI_Utility.php");
include_once realpath("../library/AI_Register.php");
include_once realpath("../library/AI_Board.php");
include_once realpath("../library/Template_.class.php"); 

$login = new AI_Login();
$util = new AI_Utility();
if ($login->aiLevel!=0){
	$util->goUrl("../admin.php");
	exit();
}

$reg = new AI_Register();
$reg->regist("seq");
$reg->regist("id","aib_config");
$reg->regist("pri","Seq");
$reg->regist("page","1");

// board 
$board = new AI_Board($reg->id, $reg->id, $reg->pri, $reg->page);
$board->configSearch($reg->seq);
$board->setSearchItem("sd", "yes", "seq");

// Ʈ 
$field = array(
"seq","board_name","level_list" ,"level_read" ,"level_write" ,"level_memo" ,
"level_reply" ,"level_delete" ,"level_info" ,"level_secret" ,"level_keyword" ,
"level_lecture" ,"level_html" ,"level_link" ,"level_file" ,"level_avata" ,
);

function selectAuth($var)
{
	if ($var == 0) $admin = "selected";
	if ($var == 1) $board = "selected";
	if ($var == 2) $member = "selected";
	if ($var == 3) $guest = "selected";
	
	$result = "
	<option value=\"0\" $admin >ְ</option>
	<option value=\"1\" $board ></option>
	<option value=\"2\" $member >ȸ</option>
	<option value=\"3\" $guest >մ</option>
	";
	
	return $result;
}

$list = $board->makeList($field);
$data = $list[0];

$tpl = new Template_("./", "../tpc/admin"); 
$tpl->define(array( 
    "main" =>"board_auth.html",
	"top" =>"top.html",
	"bottom" =>"bottom.html",
)); 
$tpl->assign(array( 
	"seq"=>$data->seq,
	"board_name"=>$data->board_name,
	"level_list"=>selectAuth($data->level_list) ,
	"level_read"=>selectAuth($data->level_read) ,
	"level_write"=>selectAuth($data->level_write) ,
	"level_memo"=>selectAuth($data->level_memo) ,
	"level_reply"=>selectAuth($data->level_reply) ,
	"level_delete"=>selectAuth($data->level_delete) ,
	"level_info"=>selectAuth($data->level_info) ,
	"level_secret"=>selectAuth($data->level_secret) ,
	"level_keyword"=>selectAuth($data->level_keyword) ,
	"level_lecture"=>selectAuth($data->level_lecture) ,
	"level_html"=>selectAuth($data->level_html) ,
	"level_link"=>selectAuth($data->level_link) ,
	"level_file"=>selectAuth($data->level_file) ,
	"level_avata"=>selectAuth($data->level_avata) ,
)); 
$tpl->print_("top");
$tpl->print_("main");
$tpl->print_("bottom");
?>