<?php
include_once realpath("../library/AI_Login.php");
include_once realpath("../library/AI_Utility.php");
include_once realpath("../library/AI_Register.php");
include_once realpath("../library/AI_Board.php");
include_once realpath("../library/Template_.class.php"); 

$login = new AI_Login();
$util = new AI_Utility();
if ($login->aiLevel!=0){
	$util->goUrl("../admin.php");
	exit();
}

//   
$reg = new AI_Register();
$reg->regist("id","aib_config");
$reg->regist("pri","seq");
$reg->regist("page","1");
$reg->regist("listnum","10");

// board 
$_board = new AI_Board($reg->id, $reg->id, $reg->pri, $reg->page);
$_board->configBoard($reg->listnum,10);
$_board->configSearch("");
$_board->setOption("listnum", $reg->listnum);

// Ʈ 
$field = array("seq","board_name");
$list = $_board->makeList($field);
$startList = $_board->getStartList();

$tpl = new Template_("./", "../tpc/admin"); 
$tpl->define(array( 
    "main" =>"board_list.html",
	"top" =>"top.html",
	"bottom" =>"bottom.html",
)); 
$tpl->assign(array( 
   	"order" 	=>$_board->pageOrder(),
	"listNum"	=>$reg->listnum,
)); 
$tpl->loopLoad("board");
$db = new DB_Mysql();$db->open();
for($i=0;$i<count($list);$i++){
	$board = $list[$i];
	$sql = "select count(*) from aib_board_".$board->board_name." ";
	$boardNum = $db->simpleQuery($sql);
	$tpl->loopPushAssign(array( 
		"num"			=>$startList,
        "seq"			=>$board->seq,
		"board_name"	=>$board->board_name,
		"board_num"		=>$boardNum,
    ));
	$startList--;
}
$db->close();

$tpl->print_("top");
$tpl->print_("main");
$tpl->print_("bottom");
?>
