<?php
include_once realpath("../library/AI_Login.php");
include_once realpath("../library/AI_Utility.php");
include_once realpath("../library/AI_Register.php");
include_once realpath("../library/AI_Board.php");
include_once realpath("../library/Template_.class.php"); 

$login = new AI_Login();
$util = new AI_Utility();
if ($login->aiLevel!=0){
	$util->goUrl("../admin.php");
	exit();
}

$reg = new AI_Register();
$reg->regist("seq");
$reg->regist("id","aib_config");
$reg->regist("pri","seq");
$reg->regist("page","1");

// board 
$board = new AI_Board($reg->id, $reg->id, $reg->pri, $reg->page);
$board->configSearch($reg->seq);
$board->setSearchItem("sq", "yes", "seq");

// Ʈ 
$field = array(
"seq","board_name","board_skin","board_color","board_width","onlybbs","subjectlen",
"num_list","num_page","num_cols","num_lecture","board_title","board_head","board_foot",
"use_thumb","use_listadd","use_secret","use_keyword","use_lecture","use_html", "use_banword", 
"use_link1", "use_link2","use_file1","use_file2","use_position", "filelimit","use_autolink","use_memo",
"use_vote", "ext_file1","ext_file2","ext_html","ban_ip","ban_word",
);

$list = $board->makeList($field);
$data = $list[0];

//
//   Ȯ
//
if ($data->onlybbs=="y") $data->onlybbs="checked"; else $data->onlybbs=""; 
if ($data->board_color=="") $data->board_color="#ffffff";
if ($data->board_width=="") $data->board_width=95;
if ($data->subjectlen=="") $data->subjectlen=0;
if ($data->num_list=="") $data->num_list=20;
if ($data->num_page=="") $data->num_page=10;
if ($data->num_cols=="") $data->num_cols=1;
if ($data->use_thumb=="y") $data->use_thumb="checked"; else $data->use_thumb=""; 
if ($data->use_listadd=="y") $data->use_listadd="checked"; else $data->use_listadd=""; 
if ($data->use_secret=="y") $data->use_secret="checked"; else $data->use_secret=""; 
if ($data->use_keyword=="y") $data->use_keyword="checked"; else $data->use_keyword=""; 
if ($data->use_lecture=="y") $data->use_lecture="checked"; else $data->use_lecture=""; 
if ($data->use_banword=="y") $data->use_banword="checked"; else $data->use_banword=""; 
if ($data->num_lecture=="") $data->num_lecture=1;
if ($data->use_file1=="y") $data->use_file1="checked"; else $data->use_file1=""; 
if ($data->use_file2=="y") $data->use_file2="checked"; else $data->use_file2=""; 
if ($data->use_position=="y") $data->use_position="checked"; else $data->use_position="";
if ($data->filelimit=="" ) $data->filelimit=2097152;
if ($data->use_autolink=="y") $data->use_autolink="checked"; else $data->use_autolink=""; 
if ($data->use_memo=="y") $data->use_memo="checked"; else $data->use_memo="";
if ($data->use_vote=="y") $data->use_vote="checked"; else $data->use_vote=""; 
if ($data->use_link1=="y") $data->use_link1="checked"; else $data->use_link1=""; 
if ($data->use_link2=="y") $data->use_link2="checked"; else $data->use_link2=""; 


//
// Ų ϵ Ų  
//
$skin_dir="../skin";
$handle=opendir($skin_dir);
while ($skin_info = readdir($handle)){
	if(!eregi("\.",$skin_info)){
		if($skin_info==$data->board_skin) $select="selected"; else $select="";
		$board_skin .= "<option value=\"$skin_info\" $select>$skin_info</option>";
	}
}
closedir($handle);

$tpl = new Template_("./", "../tpc/admin"); 
$tpl->define(array( 
    "main" =>"board_modify.html",
	"top" =>"top.html",
	"bottom" =>"bottom.html",
)); 
$tpl->assign(array( 
	"seq"=>$data->seq,
	"board_name"=>$data->board_name,
	"onlybbs"=> $data->onlybbs,
	"board_color"=>$data->board_color,
	"board_skin"=>$board_skin,
	"subjectlen"=>$data->subjectlen,
	"num_list"=>$data->num_list,
	"num_page"=>$data->num_page,
	"num_cols"=>$data->num_cols,
	"board_title"=>$data->board_title,
	"board_width"=>$data->board_width,
	"board_head"=>$data->board_head,
	"board_foot"=>$data->board_foot,
	"use_thumb"=>$data->use_thumb,
	"use_html"=>$data->use_html,
	"use_banword"=>$data->use_banword,
	"use_listadd"=>$data->use_listadd,
	"use_secret"=>$data->use_secret,
	"use_keyword"=>$data->use_keyword,
	"use_lecture"=>$data->use_lecture,
	"num_lecture"=>$data->num_lecture,
	"use_file1"=>$data->use_file1,
	"use_file2"=>$data->use_file2,
    "use_position"=>$data->use_position,
	"ext_file1"=>$data->ext_file1,
	"ext_file2"=>$data->ext_file2,
	"filelimit"=>$data->filelimit,
	"use_autolink"=>$data->use_autolink,
	"use_memo"=>$data->use_memo,
    "use_vote"=>$data->use_vote,
	"use_link1"=>$data->use_link1,
	"use_link2"=>$data->use_link2,
	"ext_html"=>$data->ext_html,
	"ban_ip"=>$data->ban_ip,
	"ban_word"=>$data->ban_word,
)); 
$tpl->print_("top");
$tpl->print_("main");
$tpl->print_("bottom");
?>