<?php
//==============================================================================
//  ϸ : AI_List.php
//     : Ʈ Ŭ
//   : aminoai (http://www.aminoai.com)
//==============================================================================

include_once dirname(__FILE__)."/Config.php";
include_once dirname(__FILE__)."/DB_Mysql.php";
class AI_List
{
	var $id, $table, $index, $page, $listNum, $groupNum, $searchValue, $operator;
	var $searchItem = Array();
	
	function AI_List($id, $table, $index, $page, $search, $operator)
	{
		$cfg = new Config();
		$this->listNum 		= $cfg->listNum;
		$this->groupNum 	= $cfg->groupNum;
		
		if (!$search) $search = "";
		
		$this->id 			= $id;
		$this->table 		= $table;
		$this->index		= $index;
		$this->searchValue	= $search;
		$this->operator 	= $operator;
		
		if (!$page||$this->totalPage()<$page) $page = 1;
		$this->page 		= $page;
	}
	
	function throwGet()
	{
		$result = "id=".$this->id;
		$result .= "&pri=".$this->index;
		$result .= "&page=".$this->page;
		$result .= "&search=".$this->searchValue;
		$result .= "&op=".$this->operator;
		$result .= $this->getSearchItem("get");
		return $result;
	}
	
	function throwPost()
	{
		$result = "
		<input type=\"Hidden\" name=\"id\" value=\"".$this->id."\">\n
		<input type=\"Hidden\" name=\"pri\" value=\"".$this->index."\">\n
		<input type=\"Hidden\" name=\"page\" value=\"".$this->page."\">\n
		<input type=\"Hidden\" name=\"search\" value=\"".$this->searchValue."\">\n
		<input type=\"Hidden\" name=\"op\" value=\"".$this->operator."\">\n
		";
		$result .= $this->getSearchItem("post");
		return $result;
	}
	
	function throwSearch()
	{
		$result = "
		<input type=\"Hidden\" name=\"id\" value=\"".$this->id."\">\n
		<input type=\"Hidden\" name=\"pri\" value=\"".$this->index."\">\n
		<input type=\"Hidden\" name=\"op\" value=\"".$this->operator."\">\n
		";
		$result .= $this->getSearchItem("post");
		return $result;
	}
	
	function throwOrd()
	{
		$result = "?id=".$this->id;
		$result .= "&pri=".$this->index;
		$result .= "&search=".$this->searchValue;
		$result .= "&op=".$this->operator;
		$result .= $this->getSearchItem("get");
		return $result;
	}
	
	function pageOrder()
	{
		$URL		= $this->throwOrd();
		$groupNum	= $this->groupNum;		//ѹ  ȣ 
		$nowNum 	= $this->page;			//  ȣ
		$totalPage	= $this->totalPage();
		
		$group = ceil($nowNum / $groupNum);
		$endGroup = ceil($totalPage / $groupNum);
		$groupStart = ( ($group - 1)*$groupNum ) + 1;
		$groupEnd  = $group * $groupNum ;
		
		if ( $group != 1 ) {
			$ordList .= "<a href=\"".$URL."&page=1\" class=\"ord_link\">[1]</a>";
			$ordList .= "<a href=\"".$URL."&page=".($groupStart - 1)."\" class=\"ord_link\">...</a>";
		}
		for ($i=$groupStart;$i<$groupEnd+1;$i++){
			if ( $i <= $totalPage ){
				if ($i==$nowNum) $ordList .= " <span class=\"ord_now\">$i</span> ";
				else $ordList .= "<a href=\"".$URL."&page=$i\" class=\"ord_link\">[$i]</a>";
			}
		}
		if ( $group != $endGroup ) {
			$ordList .= "<a href=\"".$URL."&page=".($groupEnd + 1)."\" class=\"ord_link\">...</a>";
			$ordList .= "<a href=\"".$URL."&page=$totalPage\" class=\"ord_link\">[$totalPage]</a>";
		}
		
		return $ordList;
	}
	
	function totalPage()
	{
		$totalNum	= $this->getTotalArticle();
		$listNum 	= $this->listNum;
		$totalPage =  ceil($totalNum / $listNum);
		return $totalPage;
	}
	
	function getTotalArticle()
	{
		$db = new DB_Mysql();
		$db->open();
		$query = "select count('".$this->index."') from `".$this->table."` ".$this->makeWhere().";";
		
		$result = $db->simpleQuery($query);
		if($result==0) $result=1;
		$db->close();
		return $result;
	}
	
	function makeWhere()
	{
		$result = "";
		$a = $this->searchItem;
		if ($this->searchValue==""){
			return $result;
		}
		$i=0;$j=0;
		foreach($a as $k => $v) {
			if($v["var"]=="yes") {
				if($j==0)$result .= "where ";
				if($i!=0&&$j!=0){
					$op = ($this->operator == "or") ? "or" : "and" ; 
					$result .= $op;
				}
				$result .= " `".$v["field"]."` like '%".$this->searchValue."%' ";
				$j++;
			}
			$i++;
		}
		return $result;
	}
	
	function setSearchItem($name, $var, $field)
	{
		$this->searchItem[$name] = array(
			"var"	=>$var,
			"field"	=>$field,
		);
		return true;
	}
	
	function getSearchItem($mode)
	{
		$a = $this->searchItem;
		$result = "";
		foreach($a as $k => $v) {
	    	if($mode=="get"){
				$result .= "&".$k."=".$v["var"];
			} else if ($mode=="post"){
				$result .= "<input type=\"hidden\" name=\"".$k."\" value=\"".$v["var"]."\">\n";
			}
		}
		return $result;
	}
	
	function getStartNum()
	{
		return ($this->page-1) * $this->listNum;
	}
	
	function getListNum()
	{
		return $this->listNum;
	}
	
	function getStartList()
	{
		return $this->getTotalArticle() - $this->getStartNum();
	}
}
?>
