<?php
/*//////////////////////////////////////////////////////////////////////////////
ϸ : AiLogin.php
   : AIboard α  Ŭ
 : aminoai (http://www.aminoai.com)
*///////////////////////////////////////////////////////////////////////////////

include_once dirname(__FILE__)."/DB_Mysql.php";

class AI_Login{
	var $aiKey;
	var $aiSeq;
	var $aiId;
	var $aiPass;
	var $aiLevel;
	var $ainow;
	var $aiold;
	var $expire;
	
	function AI_Login()
	{
		global $_COOKIE;
		$this->aiLevel = 3;		//// α  ʾ  ⺻ 
		$this->expire = 30;		//// α  ð  , 0 ڵ α׾ƿ 
		if ($_COOKIE[cookKey]=="" || $_COOKIE[cookId]=="" || $_COOKIE[cookPass]=="" ){
			$this->destroyCookie();
			return;
		} else {
			$this->checkKey($_COOKIE[cookKey]);
			return;
		}
	}
	
	function checkKey($_key)
	{
		$old = base64_decode($_key);
		$now = explode( " ", microtime()); 
		$now = (double)$now[1];
		$this->ainow = $now;
		$this->aiold = $old;
		$expire = $this->expire;
		if ($expire==0) {
			$expire = 60*30*24;		//// ڵα׾ƿ 
		}
		if ($old > $now - ($expire*60) ){
			if ($old < $now-300 ){
			    $this->refreshKey();
				return true;
			} else {
				$this->setVar();
				return;
			}
		} else {
			$this->destroyCookie();
			return false;
		}
	}
	
	function setVar()
	{
		global $_COOKIE;
		$this->aiKey = $_COOKIE[cookKey];
		$this->aiId = $this->decrypt($_COOKIE[cookId]);
		$this->aiPass = $this->decrypt($_COOKIE[cookPass]);
		$this->aiLevel = $this->decrypt($_COOKIE[cookLevel]);
		$this->aiSeq = $this->decrypt($_COOKIE[cookSeq]);
	}
	
	function refreshKey()
	{
		$this->setVar();
		
		$key = $this->makeKey();
		$id = $this->encrypt($this->aiId);
		$pass = $this->encrypt($this->aiPass);
		$level = $this->encrypt($this->aiLevel);
		$seq = $this->encrypt($data->Seq);
		
		$this->destroyCookie();
		$this->makeCookie($this->aiKey, $id, $pass, $level, $seq);
	}
	
	function login($_id, $_pass) 
	{
		$db = new DB_Mysql();$db->open();
		$sql = "select `seq`, `level` from `aib_member` where `user_id`='".$_id."' and `user_pass`='".md5($_pass)."'";
		$db->query($sql);
		$data = $db->fetchObject();
		
		if ($db->numRows()==1){
			$key = $this->makeKey();
			$id = $this->encrypt($_id);
			$pass = $this->encrypt(md5($_pass));
			$level = $this->encrypt($data->level);
			$seq = $this->encrypt($data->seq);
			
			$this->aiId = $_id;
			$this->aiPass = md5($_pass);
			$this->aiLevel = $data->level;
			$this->aiSeq = $data->seq;
			
			$this->destroyCookie();
			$this->makeCookie($this->aiKey, $id, $pass, $level, $seq);
			return true;
		}
		return false;
	}
	
	function logout()
	{
		$this->destroyCookie();
		return true;
	}

	function makeCookie($_key, $_id, $_pass, $_level, $_seq)
	{
		if ($this->expire==0){
			$expire = 0;
		}else{
			$expire = time()+($this->expire*60);
		}
		setcookie("cookKey", $_key, 0, "/");
		setcookie("cookId", $_id, $expire, "/");
		setcookie("cookPass", $_pass, $expire, "/");
		setcookie("cookLevel", $_level, $expire, "/");
		setcookie("cookSeq", $_seq, $expire, "/");
		return ;
	}
	
	function destroyCookie()
	{
		setcookie("cookKey", "", -1, "/");
		setcookie("cookId", "", -1, "/");
		setcookie("cookPass", "", -1, "/");
		setcookie("cookLevel", "", -1, "/");
		setcookie("cookSeq", "", -1, "/");
		return ;
	}

	function makeKey()
	{
		global $_SERVER;
		$ip = explode(".", $_SERVER['REMOTE_ADDR']);
		$time = explode( " ", microtime()); 
		$min = base64_encode((double)$time[1]);
		$usec = explode(".", (double)$time[0]);
		$mil = substr($usec[1], 1, 3);
		
		$this->aiKey = $min . $ip[3] . $mil;
		return;
	}


	//// http://www.phpschool.com tip Դ ȣȭ Լ
	function encrypt($txt)
	{
	    $key = $this->aiKey;
		$key_len = strlen($key);
		$rot_ptr_set = 3;
	    $rot_ptr = $rot_ptr_set;
	
	    $tmp = "";
	    $txt = strrev($txt);
	    $txt_len = strlen($txt);
	    for ($i=0; $i<$txt_len; $i++) {
	        if($rot_ptr >= $key_len) $rot_ptr = 0;
	        $tmp .= $txt[$i] ^ $key[$rot_ptr];
	        $v = ord($tmp[$i]);
	        $tmp[$i] = chr(((($v << 3) & 0xf8) | (($v >> 5) & 0x07)));
	        $rot_ptr ++;
	    }
	    $tmp = base64_encode($tmp);
	    $tmp = strrev($tmp);
	    return $tmp;
	}
	
	function decrypt($txt) 
	{
		$key = $this->aiKey;
		$key_len = strlen($key);
		$rot_ptr_set = 3;
	    $rot_ptr = $rot_ptr_set;
	
	    $tmp = "";
	    $txt = strrev($txt);
	    $txt = base64_decode($txt);
	    $txt_len = strlen($txt);
	    for ($i=0; $i<$txt_len; $i++) {
	        if($rot_ptr >= $key_len) $rot_ptr = 0;
	        $v = ord($txt[$i]);
	        $txt[$i] = chr(((($v >> 3) & 0x1f) | (($v << 5) & 0xe0)));
	        $tmp .= $txt[$i] ^ $key[$rot_ptr];
	        $rot_ptr ++;
	    }
	    $tmp = strrev($tmp);
	    return $tmp;
	}
}


?>