<?php
/*//////////////////////////////////////////////////////////////////////////////
ϸ : File_Upload.php
   :  ε Ŭ
 : aminoai (http://www.aminoai.com)
*///////////////////////////////////////////////////////////////////////////////

define("OVER_LEFT",   "(");		//  ̸ 
define("OVER_RIGHT",  ")");		//  ̸ 

class File_Upload
{
	var $dir, $name, $ext, $size, $temp, $error, $limit, $allow;
    var $chk = false;

	function File_Upload($dir, $file)
	{
		$this->dir      = $dir."/";
		$this->temp     = $file[tmp_name];
		$this->ext      = strrchr($file[name], ".");          	//  Ȯ (. )
		$dotPos         = strrpos($file[name], ".");          	//   Ʈ ġ
		$this->name     = substr($file[name], 0, $dotPos);		// Ȯڸ  ϸ
		$this->size     = $file[size];
		$this->limit    = 2097152;
        $this->allow    = "";
	}
	
	function setLimit($size)
	{
		$this->limit = $size;
		return true;
	}
    
	function setAllow($ext)
	{
		$this->allow = $ext;
		return true;
	}
    
	function save()
	{
		if (!$this->chk) return false;
        
		$saveName = $this->makeSaveName();
		if (!@move_uploaded_file($this->temp ,$this->dir.$saveName)){
			return false;
		}
		return $saveName;
	}
	
	function checkSyntax()
	{
        if (!$this->allowExt()) {
            $this->error = " ʴ Ÿ Դϴ.";
            return false;
        }
        if (!$this->allowExt()) {
            $this->error = " ʴ Ÿ Դϴ.";
            return false;
        }
		if ($this->size > $this->limit){
			$this->error = "뷮 ʰϿϴ.\n
				ε ִ 뷮 ".$this->sizeToStr($this->limit)." Դϴ.";
			return false;
		}
		if (!is_uploaded_file($this->temp)){
			$this->error = "  ε ּ.";
			return false;
		}
		if ($this->name == ""){
			$this->error = " ̸ Ȯ ּ.";
			return false;
		}
		if (!$this->checkExt("php", "htm", "cgi")){
			$this->error = "Ȯ Դϴ.\n
				php, htm, cgi  ε Ͻ  ϴ.";
			return false;
		}
        $this->chk = true;
		return true;
	}
	
	function checkExt()
	{
		$argsList = func_get_args(); 
		$argsNum = count($argsList); 
		for ($i = 0; $i < $argsNum; $i++) { 
			if (eregi($argsList[$i], $this->ext)) return false;
		}
		return true;
	}
	
	function allowExt()
	{
		$ext_arr = explode(",", $this->allow);
		if (count($ext_arr)==1&&$ext_arr[0]=="") return true;
		for ($i=0;$i<count($ext_arr);$i++){
			if (eregi($ext_arr[$i], $this->ext)) return true;
		}
		return false;
	}
	
	function overNum()
	{
		$files = opendir($this->dir);
		$fileCount = 0;
		$filePlus = "";
		while (readdir($files)){
			if(file_exists($this->dir.$this->name.$filePlus.$this->ext)) {
				$fileCount = $fileCount + 1;
				$filePlus = OVER_LEFT.$fileCount.OVER_RIGHT;
				if(file_exists($this->dir.$this->name.OVER_LEFT.$fileCount.OVER_RIGHT.$this->ext)){
					$fileCount = $fileCount + 1;
					$filePlus = OVER_LEFT.$fileCount.OVER_RIGHT;
				}
			}
		}
		closedir($files);
		
		return $fileCount;
	}
	
	function makeSaveName()
	{
		$overNum = $this->overNum();
		if ($overNum > 0){
			return $this->name.OVER_LEFT.$overNum.OVER_RIGHT.$this->ext;
		}
		return $this->name.$this->ext;
	}
	
	function getError()
	{
		return $this->error;
	}
    
    function getSize()
    {
        return $this->sizeToStr($this->size);
    }
    
    function sizeToStr($size) {
        $unit=Array("Bytes", "KB", "MB", "GB");
        for ($i=0; $size>=1024; $size=$size/1024, $i++);
        return sprintf("%0.{$i}f $unit[$i]", $size);
    }
}
?>