<?php
include_once realpath("../library/AI_Login.php");
include_once realpath("../library/AI_Utility.php");
include_once realpath("../library/AI_Register.php");
include_once realpath("../library/AI_Board.php");
include_once realpath("../library/Template_.class.php"); 

$login = new AI_Login();
$util = new AI_Utility();
if ($login->aiLevel!=0){
	$util->goUrl("../admin.php");
	exit();
}

//   
$reg = new AI_Register();
$reg->regist("id","aib_member");
$reg->regist("pri","Seq");
$reg->regist("page","1");
$reg->regist("listnum","10");

// board 
$board = new AI_Board($reg->id, $reg->id, $reg->pri, $reg->page);
$board->configBoard($reg->listnum,10);
$board->configSearch($reg->search);
$board->setSearchItem("sl", "yes", "Level");
$board->setSearchItem("sl", "yes", "Id");
$board->setSearchItem("sl", "yes", "Name");

// Ʈ 
$field = array("Seq","Id","Name","Level","RegDate");
$list = $board->makeList($field);
$startList = $board->getStartList();

$tpl = new Template_("./", "../tpc/admin"); 
$tpl->define(array( 
    "main" =>"user_list.html",
	"top" =>"top.html",
	"bottom" =>"bottom.html",
)); 
$tpl->assign(array( 
   	"order" 	=>$board->pageOrder(),
	"listNum"	=>$reg->listnum,
)); 
$tpl->loopLoad("user");
for($i=0;$i<count($list);$i++){
	$user = $list[$i];
	$tpl->loopPushAssign(array( 
        "Seq"		=>$user->Seq,
		"Id"	=>$user->Id,
		"Name"	=>$user->Name,
		"Level"	=>$user->Level,
		"RegDate"	=>date( "Y m d" , $user->RegDate),
    ));
	$startList--;
}

$tpl->print_("top");
$tpl->print_("main");
$tpl->print_("bottom");
?>
