<?php
/*******************************************************************************
 *                               aiinit.php
 *                            -------------------
 *   update       : 2004 1 22 
 *   copyright   : Aminoai.com
 *   email       : aminoai@aminoai.com
 *   description : Խǿ Ǵ ⺻ ü Ѵ.
 ******************************************************************************/

include_once realpath("./library/AI_Login.php");
include_once realpath("./library/AI_Utility.php");
include_once realpath("./library/AI_Register.php");
include_once realpath("./library/AI_Board.php");
include_once realpath("./library/AI_Article.php");
include_once realpath("./library/Template_.class.php"); 

//
// Խ ⺻  
//
$_reg = new AI_Register();
$_reg->regist("id");
$_reg->regist("num");
$_reg->regist("pri","seq");
$_reg->regist("page","1");
$_reg->regist("search");
$_reg->regist("ss","yes");
$_reg->regist("sc","yes");
$_reg->regist("sn","no");
$_reg->regist("sk","no");

//
// Խ id   
//
$_util = new AI_Utility();
if ($_reg->id==""||!$_reg->id) {
	$_util->alertBack("Խ ϼ.");
	exit();
}

//
// Խ  ü 
//
$_cfgBoard = new AI_Board("aib_config", "aib_config", "seq", 1);
$_cfgBoard->configSearch($_reg->id, "and", true);
$_cfgBoard->setSearchItem("sd", "yes", "board_name");
$field = array(
"seq","board_name","board_skin","board_color","board_width","onlybbs","subjectlen",
"num_list","num_page","num_cols","num_lecture","board_title","board_head","board_foot",
"use_thumb","use_listadd","use_secret","use_keyword","use_lecture","use_html","use_banword",
"use_link1","use_link2","use_file1","use_file2","use_position","filelimit","use_autolink","use_memo",
"use_vote","ext_file1","ext_file2","ext_html","ban_ip","ban_word","level_list","level_read",
"level_write","level_memo","level_reply","level_delete","level_info","level_secret",
"level_keyword","level_lecture","level_html","level_link","level_file","level_avata",
);
$_cfgList = $_cfgBoard->makeList($field);
$_cfg = $_cfgList[0];

//
// α ü 
//
$_login = new AI_Login();
if ($_login->aiId!="") {
	// ȸ ü 
	$memBoard = new AI_Board("aib_member", "aib_member", "Seq", 1);
	$memBoard->setSearchItem("seq", "yes", "Seq");
	$memBoard->configSearch($_login->aiSeq, "and", true);
	$field = array(
	"seq","user_id","user_pass","user_name","user_nick","email","homepage",
	"open_email","open_homepage","level","admin",
	);
	
	$memList = $memBoard->makeList($field);
	$_member = $memList[0];
} else {
	$_member = new AI_Article();
	$_member->regist("level", $_login->aiLevel);
}

//
// Խ ü 
//
$_board = new AI_Board($_reg->id, "aib_board_".$_reg->id, "parent", $_reg->page, "ASC");
$_board->configBoard($_cfg->num_list, $_cfg->num_page);

$_board->setSearchItem("ss", $_reg->ss, "subject");
$_board->setSearchItem("sn", $_reg->sn, "user_name");
$_board->setSearchItem("sc", $_reg->sc, "comment");
$_board->setSearchItem("sk", $_reg->sk, "keyword");
$_board->configSearch($_reg->search);
/*
 *  Ȯ  Լ. ü  ý   Ѵ.
 * bool permit( string field) 
 */
function permit($f)
{
	global $_member;
	global $_cfg;
	
	if ($_cfg->$f<$_member->level) return false;
	else return true;
}

/*
 *    Ѵ.
 * void error( string msg. string url) 
 */
function error($msg, $url)
{
	global $_cfg;
	$e = new Template_("./skin/".$_cfg->board_skin, "./tpc/".$_cfg->board_skin);
	$e->define(array(
		"head" 	=> "head.php",
	    "write" => "error.php",
		"foot" 	=> "foot.php",
	));
	$e->assign(array( 
	"msg"	=> $msg,
	"url"	=> $url,
	));
	
	$e->print_("head");
	$e->print_("write");
	$e->print_("foot");
	
	exit();
}
?>