<?php
$sql="
CREATE TABLE `aib_config` (
  `seq` int(8) UNSIGNED NOT NULL auto_increment,
  `board_name` varchar(15) NOT NULL default '',
  `board_skin` varchar(56) default NULL,
  `board_color` varchar(10) NOT NULL default '#ffffff',
  `board_width` int(4) NOT NULL default '95',
  
  `onlybbs` enum('y','n') NOT NULL default 'n',
  `subjectlen` int(3) NOT NULL default '0',
  
  `num_list` int(3) NOT NULL default '20',
  `num_page` int(3) NOT NULL default '10',
  `num_cols` int(2) NOT NULL default '1',
  `num_lecture` int(2) NOT NULL default '1',
  
  `board_title` varchar(255) default NULL,
  `board_head` text default NULL,
  `board_foot` text default NULL,
	
  `use_thumb` enum('y','n') NOT NULL default 'n',
  `use_listadd` enum('y','n') NOT NULL default 'n',
  `use_secret` enum('y','n') NOT NULL default 'n',
  `use_keyword` enum('y','n') NOT NULL default 'n',
  `use_lecture` enum('y','n') NOT NULL default 'n',  
  `use_html` enum('all','part','none') NOT NULL default 'none',
  `use_banword` enum('y','n') NOT NULL default 'n',
  `use_link1` enum('y','n') NOT NULL default 'n',
  `use_link2` enum('y','n') NOT NULL default 'n',
  `use_file1` enum('y','n') NOT NULL default 'n',
  `use_file2` enum('y','n') NOT NULL default 'n',
  `use_position` enum('y','n') NOT NULL default 'n',
  `filelimit` int(8) default NULL,
  `use_autolink` enum('y','n') NOT NULL default 'n',
  `use_memo` enum('y','n') NOT NULL default 'y',
  `use_vote` enum('y','n') NOT NULL default 'y',
  
  `ext_file1` varchar(255) default NULL,
  `ext_file2` varchar(255) default NULL,
  `ext_html` text,
  `ban_ip` text,
  `ban_word` text,
   
  `level_list` enum('0','1','2','3') NOT NULL default '3',
  `level_read` enum('0','1','2','3') NOT NULL default '3',
  `level_write` enum('0','1','2','3') NOT NULL default '3',
  `level_memo` enum('0','1','2','3') NOT NULL default '3',
  `level_reply` enum('0','1','2','3') NOT NULL default '3',
  `level_delete` enum('0','1','2','3') NOT NULL default '1',
  
  `level_info` enum('0','1','2','3') NOT NULL default '1',
  `level_secret` enum('0','1','2','3') NOT NULL default '3',
  `level_keyword` enum('0','1','2','3') NOT NULL default '3',
  `level_lecture` enum('0','1','2','3') NOT NULL default '3',
  `level_html` enum('0','1','2','3') NOT NULL default '3',
  `level_link` enum('0','1','2','3') NOT NULL default '3',
  `level_file` enum('0','1','2','3') NOT NULL default '3',
  `level_avata` enum('0','1','2','3') NOT NULL default '3',
  
  PRIMARY KEY  (`seq`),
  KEY `board_name` (`board_name`)
)
";
?>