<?php
//==============================================================================
//  ϸ : DB_Mysql.php
//     : mysql  Ŭ
//   : aminoai (http://www.aminoai.com)
//==============================================================================

$dir = dirname(__FILE__);
$dir = str_replace("library", "", $dir );

if (!file_exists($dir."/config.php")) {
	print("error");
	//print("<script>location.href=\"/install.php\"</script>");
	exit();
}

include_once $dir."/config.php";

class DB_Mysql
{
	var $host = "";
	var $user = "";
	var $password = "";
	var $database = "";
	var $persistent = false;
	var $conn = NULL;
	var $result = false;
	var $debug = false;
	
	function DB_Mysql($persistent = false)
	{
		$cfg = new Config();
		$this->host = $cfg->dbHost;
		$this->user = $cfg->dbUser;
		$this->password = $cfg->dbPass;
		$this->database = $cfg->dbName;
		$this->persistent = $persistent;
	}
	
	function open()
	{
		if ($this->persistent) {
			$func = "mysql_pconnect";
		} else {
			$func = "mysql_connect";
		}
		
		// MySQL  
		$this->conn = @$func($this->host, $this->user, $this->password );
		if (!$this->conn){
			return false;
		}
		
		// ͺ̽ 
		if (@!mysql_select_db($this->database, $this->conn)){
			return false;
		}
		
		return true;
	}
	
	function close()
	{
		return(@mysql_close($this->conn));
	}
	
	function debuger()
	{
		if($this->debug) {
			$this->error(mysql_error());
			return false;
		}
		return;
	}
	
	function error($msg)
	{
		print"<p style=\"font-size:12px;color:#ff0000;font-weight:bolder\">".$msg."</p>";
	}
	
	function query($sql)
	{
		if($this->debug)$this->error($sql);
		$this->result = @mysql_query($sql, $this->conn) or $this->debuger();
		return ;
	}
	
	function simpleQuery($sql)
	{
		if($this->debug)$this->error($sql);
		$this->result = @mysql_query($sql, $this->conn);
		if(!is_resource($this->result)) return false;
		return(@mysql_result($this->result, 0, 0)); //  ȯ Ѵ.
	}
	
	//update ȯǴ  int
	function update($sql)
	{
		if($this->debug)$this->error($sql);
		$result = @mysql_query($sql, $this->conn) or $this->debuger();
		if(is_resource($result)) return mysql_affected_rows($result); 
        return -1;
	}
	
	//  
	function affectedRows()
	{
		return(@mysql_affected_rows($this->result));
	}
	
	//   
	function numRows()
	{
		if(!is_resource($this->result)) return false;
		return(@mysql_num_rows($this->result));
	}
	
	function fetchObject()
	{
		if(!is_resource($this->result)) return false;
		return(@mysql_fetch_object($this->result, MYSQL_ASSOC));
	}
	
	function fetchArray()
	{
		if(!is_resource($this->result)) return false;
		return(@mysql_fetch_Array($this->result));
	}
	
	function fetchAssoc()
	{
		if(!is_resource($this->result)) return false;
		return(@mysql_fetch_assoc($this->result));
	}
	
	function dataSeek($pos)
	{
		if(!is_resource($this->result)) return false;
		return(@mysql_data_seek($this->result, $pos));
	}
	
	function freeResult()
	{
		return(@mysql_free_result($this->result));
	}
	
	function getResult()
	{
		return $this->result;
	}
}
?>